package com.theitbulls.actionbarex;

import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;

public class CustomMenuActivity extends AppCompatActivity implements View.OnClickListener {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.custom_menu_activity);

        if (getSupportActionBar() != null) {
            getSupportActionBar().setDisplayOptions(ActionBar.DISPLAY_SHOW_CUSTOM);

            getSupportActionBar().setCustomView(R.layout.custom_menu);

            View cutomView = getSupportActionBar().getCustomView();
            cutomView.findViewById(R.id.mnuEmail).setOnClickListener(this);
            cutomView.findViewById(R.id.mnuEdit).setOnClickListener(this);
            cutomView.findViewById(R.id.mnuSend).setOnClickListener(this);
        }
    }

    @Override
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.mnuEdit:
                Toast.makeText(this, "You clicked on edit custom menu", Toast.LENGTH_SHORT).show();
                break;
            case R.id.mnuEmail:
                Toast.makeText(this, "You clicked on email custom menu", Toast.LENGTH_SHORT).show();
                break;
            case R.id.mnuSend:
                Toast.makeText(this, "You clicked on send custom menu", Toast.LENGTH_SHORT).show();
                break;
        }
    }
}
